import photoGalleryTwig from './paragraph.photo-gallery.twig';
import photoGalleryData from './paragraph.photo-gallery.yml';
import './paragraph.photo-gallery.js';

/**
 * Storybook Definition.
 */
export default {
  title: 'Layout Components/Photo Gallery',
};

export const photoGallery = (args) => {
  // Create deep copy of data and merge args.
  let data = JSON.parse(JSON.stringify(photoGalleryData ?? {}));
  data = Object.assign(data, args);

  return photoGalleryTwig({
    ...data,
  });
}
photoGallery.args = photoGalleryData;
